Bug Hunting Session
Bug 45580 - : LibreOffice crashes when clicking on "Connect to an existing database" Database Wizard option
Summary: : LibreOffice crashes when clicking on "Connect to an existing database" Data...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86-64 (AMD64) BSD (Others)
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:3.6.0 target:3.5.4
Keywords:
Depends on:
Blocks: Database-Wizard
  Show dependency treegraph
 
Reported: 2012-02-03 02:21 UTC by Francois Tigeot
Modified: 2017-10-23 20:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
fix for crash (986 bytes, patch)
2012-02-09 13:24 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francois Tigeot 2012-02-03 02:21:17 UTC
Problem description: 

LibreOffice crashes when clicking on "Connect to an existing database" Database Wizard option

Steps to reproduce:
1. Launch LibreOffice
2. Select Database
3. Click on "Connect to an existing database" in the Database Wizard window

Current behavior:

Instant crash, no error message

Operating system reports LibreOffice has crashed:
pid 1169 (soffice.bin), uid 1000: exited on signal 11 (core dumped)

Expected behavior:

Error message saying Java is disabled

Platform (if different from the browser): 
              
DragonFly 3.0 / x86_64
Comment 1 Lionel Elie Mamane 2012-02-03 02:35:55 UTC
(In reply to comment #0)
> Expected behavior:

> Error message saying Java is disabled

Not even that. That error message should come *only* for a database that actually requires Java, such as JDBC or HSQL.

That might be related to the fact that the default choice is 'JDBC'.

Cannot reproduce with 3.4.4 (Debian GNU/Linux amd64 package).

Cannot reproduce with 3.5 (own debug build on Debian GNU/Linux).

Even in the case of JDBC, I get all the way to configuring a connexion, and it fails only when clicking "test connection" or 'test class'. Nice error message saying "LibreOffice requires a JRE to perform this task, but disable. Enable now? Yes/No"

My tests on a LibO compiled with java support, but Java disabled in options. Might be the difference.
Comment 2 Lionel Elie Mamane 2012-02-08 07:57:00 UTC
François, did you manage to get a meaningful backtrace?

Please also try to go to Tools / Options / LibreOffice / Java. Uncheck "Use a Java runtime environment". Does it make a difference? (I'm angling for "this bug happens only if java use is enabled, but no Java found")
Comment 3 Francois Tigeot 2012-02-09 12:12:31 UTC
On Wed, Feb 08, 2012 at 03:57:00PM +0000, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=45580
> 
> --- Comment #2 from Lionel Elie Mamane <lionel@mamane.lu> 2012-02-08 07:57:00 PST ---
> François, did you manage to get a meaningful backtrace?

Yes, I've disabled stripping and rebuilt a package. This is the result:

Program terminated with signal 11, Segmentation fault.
#0  0x000000081879d298 in dbaccess::ODsnTypeCollection::isConnectionUrlRequired (this=0x4000554250, _sURL=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/core/misc/dsntypes.cxx:175
175 /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/core/misc/dsntypes.cxx: No such file or directory.
    in /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/core/misc/dsntypes.cxx

(gdb) bt
#0  0x000000081879d298 in dbaccess::ODsnTypeCollection::isConnectionUrlRequired (this=0x4000554250, _sURL=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/core/misc/dsntypes.cxx:175
#1  0x0000000818ffc911 in dbaui::ODbTypeWizDialogSetup::IsConnectionUrlRequired (this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/dbwizsetup.cxx:420
#2  0x0000000818ffc931 in dbaui::ODbTypeWizDialogSetup::updateTypeDependentStates (this=0x4000e64390)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/dbwizsetup.cxx:402
#3  0x000000081900068f in dbaui::ODbTypeWizDialogSetup::activateDatabasePath (this=0xc0000c7300)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/dbwizsetup.cxx:379
#4  0x00000008190007b1 in dbaui::ODbTypeWizDialogSetup::OnChangeCreationMode (this=0x4000e64390)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/dbwizsetup.cxx:664
#5  0x00000008190007c5 in dbaui::ODbTypeWizDialogSetup::LinkStubOnChangeCreationMode (pThis=0x4000e64390, pCaller=0x0)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/dbwizsetup.cxx:662
#6  0x000000081901c3ad in Call (pCaller=<optimized out>, this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/solver/unxdfly.pro/inc/tools/link.hxx:140
#7  dbaui::OGeneralPage::OnSetupModeSelected (this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/generalpage.cxx:593
#8  0x000000081901c3c1 in dbaui::OGeneralPage::LinkStubOnSetupModeSelected (pThis=0x4000e64390, pCaller=0x0)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/ui/dlg/generalpage.cxx:590
#9  0x00000008046c3177 in Call (pCaller=<optimized out>, this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/solver/unxdfly.pro/inc/tools/link.hxx:140
#10 Control::ImplCallEventListenersAndHandler (this=<optimized out>, nEvent=1102, rHandler=..., pCaller=0x8000344cc8)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/control/ctrl.cxx:383
#11 0x00000008046b2a72 in Button::Click (this=0x4000e64390)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/control/button.cxx:122
#12 0x00000008046b84f4 in RadioButton::ImplCallClick (this=0x8000344cc8, bGrabFocus=0 '\000', nFocusFlags=0)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/control/button.cxx:2420
#13 0x00000008046b8639 in RadioButton::Tracking (this=0x8000344cc8, rTEvt=...)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/control/button.cxx:2499
#14 0x0000000804909773 in Window::EndTracking (this=<optimized out>, nFlags=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/window2.cxx:758
#15 0x000000080492a0d4 in ImplHandleMouseEvent (pWindow=<optimized out>, nSVEvent=2, bMouseLeave=<optimized out>, 
    nX=<optimized out>, nY=<optimized out>, nMsgTime=<optimized out>, nCode=1, nMode=3)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/winproc.cxx:810
#16 0x000000080492b9cc in ImplHandleSalMouseButtonUp (pWindow=0xc0000c7300, pEvent=0x7fffffffd2c0)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/winproc.cxx:2089
#17 0x000000080492a66d in ImplWindowFrameProc (pWindow=0x4000e64390, nEvent=<optimized out>, pEvent=0x7fffffffd2c0)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/winproc.cxx:2418
#18 0x000000080dc7ba5e in CallCallback (pEvent=<optimized out>, nEvent=<optimized out>, this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/inc/salframe.hxx:294
#19 GtkSalFrame::signalButton (pEvent=0xc0000a0cb0, frame=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/window/gtkframe.cxx:2880
#20 0x000000080dff2dc9 in _gtk_marshal_BOOLEAN__BOXED (closure=0x40010da680, return_value=0x7fffffffd4d0, 
    n_param_values=<optimized out>, param_values=0x4000badd30, invocation_hint=<optimized out>, marshal_data=0x80dc7b88a)
    at gtkmarshalers.c:86
#21 0x000000080f968ff7 in g_closure_invoke (closure=0x40010da680, return_value=<optimized out>, n_param_values=<optimized out>, 
    param_values=<optimized out>, invocation_hint=0x7fffffffd500) at gclosure.c:767
#22 0x000000080f97ed41 in signal_emit_unlocked_R (node=0x40008c8808, detail=<optimized out>, instance=<optimized out>, 
    emission_return=<optimized out>, instance_and_params=<optimized out>) at gsignal.c:3252
#23 0x000000080f97ff8a in g_signal_emit_valist (instance=0x8000011bf0, signal_id=<optimized out>, detail=0, var_args=0x7fffffffd6a0)
    at gsignal.c:2993
#24 0x000000080f98055c in g_signal_emit (instance=0x4000e64390, signal_id=0, detail=65535) at gsignal.c:3040
#25 0x000000080e0febe7 in gtk_widget_event_internal (widget=0x8000011bf0, event=0xc0000a0cb0) at gtkwidget.c:4984
#26 0x000000080e1024ee in IA__gtk_widget_event (widget=0x8000011bf0, event=0xc0000a0cb0) at gtkwidget.c:4781
#27 0x000000080dfec7b5 in IA__gtk_propagate_event (widget=0x8000011bf0, event=0xc0000a0cb0) at gtkmain.c:2489
#28 0x000000080dfed880 in IA__gtk_main_do_event (event=0xc0000a0cb0) at gtkmain.c:1684
#29 0x000000080dc64906 in _sal_gtk_event_handler_fn (pEvent=0xc0000a0cb0, data=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkinst.cxx:295
#30 0x000000080e5204f9 in gdk_event_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>)
    at gdkevents-x11.c:2377
#31 0x000000080fde1efd in g_main_dispatch (context=<optimized out>) at gmain.c:2441
#32 g_main_context_dispatch (context=0x40000ee030) at gmain.c:3014
#33 0x000000080fde593f in g_main_context_iterate (context=0x40000ee030, block=<optimized out>, dispatch=<optimized out>, 
    self=<optimized out>) at gmain.c:3092
#34 0x000000080fde5a47 in g_main_context_iteration (context=0x40000ee030, may_block=1) at gmain.c:3155
#35 0x000000080dc61bc9 in GtkData::Yield (this=0x40008ad750, bWait=true, bHandleAllCurrentEvents=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkdata.cxx:592
#36 0x000000080dc64969 in GtkInstance::Yield (this=0x40008496b0, bWait=false, bHandleAllCurrentEvents=255)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkinst.cxx:605
#37 0x00000008046a2cf5 in ImplYield (i_bAllEvents=<optimized out>, i_bWait=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svapp.cxx:458
#38 Application::Yield (i_bAllEvents=255)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svapp.cxx:492
#39 0x000000080489c93f in Dialog::Execute (this=0xc0000c7300)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/dialog.cxx:699
#40 0x00000008034cf42f in svt::OGenericUnoDialog::execute (this=0x4000936100)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/svtools/source/uno/genericunodialog.cxx:261
#41 0x0000000818363691 in dbaxml::DBContentLoader::impl_executeNewDatabaseWizard (this=<optimized out>, _rxModel=<optimized out>, 
    _bShouldStartTableWizard=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/filter/xml/dbloader2.cxx:405
#42 0x0000000818365971 in dbaxml::DBContentLoader::load (this=0x40010b2368, rFrame=..., _rURL=..., rArgs=<optimized out>, 
    rListener=...) at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/dbaccess/source/filter/xml/dbloader2.cxx:490
#43 0x0000000812361c06 in framework::LoadEnv::impl_loadContent (this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/framework/source/loadenv/loadenv.cxx:1143
#44 0x0000000812361fd1 in framework::LoadEnv::startLoading (this=0x4000eb8558)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/framework/source/loadenv/loadenv.cxx:412
#45 0x00000008122f095b in framework::LoadDispatcher::impl_dispatch (this=0x4000eb84c0, rURL=<optimized out>, 
    lArguments=<optimized out>, xListener=...)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/framework/source/dispatch/loaddispatcher.cxx:168
#46 0x00000008122f0e01 in framework::LoadDispatcher::dispatch (this=0x800ac0f54, aURL=<optimized out>, lArguments=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/framework/source/dispatch/loaddispatcher.cxx:95
#47 0x0000000812384843 in implDispatchDelayed (pArg=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/framework/source/services/backingwindow.cxx:1041
#48 0x000000080492afc3 in Call (pCaller=<optimized out>, this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/solver/unxdfly.pro/inc/tools/link.hxx:140
#49 ImplHandleUserEvent (pSVEvent=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/winproc.cxx:1999
#50 ImplWindowFrameProc (pWindow=0x40000a6580, nEvent=<optimized out>, pEvent=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/window/winproc.cxx:2571
#51 0x00000008049301b8 in CallCallback (pEvent=<optimized out>, nEvent=<optimized out>, this=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/inc/salframe.hxx:294
#52 SalGenericDisplay::DispatchInternalEvent (this=0x10000004200)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/generic/app/gendisp.cxx:102
#53 0x000000080dc6161d in GtkData::userEventFn (data=0x40008ad750)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkdata.cxx:950
#54 0x000000080dc61681 in call_userEventFn (data=0x40008ad750)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkdata.cxx:960
#55 0x000000080fde0281 in g_idle_dispatch (source=<optimized out>, callback=0, user_data=0xffff) at gmain.c:4562
#56 0x000000080fde1efd in g_main_dispatch (context=<optimized out>) at gmain.c:2441
#57 g_main_context_dispatch (context=0x40000ee030) at gmain.c:3014
#58 0x000000080fde593f in g_main_context_iterate (context=0x40000ee030, block=<optimized out>, dispatch=<optimized out>, 
    self=<optimized out>) at gmain.c:3092
#59 0x000000080fde5a47 in g_main_context_iteration (context=0x40000ee030, may_block=0) at gmain.c:3155
#60 0x000000080dc61ba7 in GtkData::Yield (this=0x40008ad750, bWait=true, bHandleAllCurrentEvents=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkdata.cxx:587
#61 0x000000080dc64969 in GtkInstance::Yield (this=0x40008496b0, bWait=false, bHandleAllCurrentEvents=255)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/unx/gtk/app/gtkinst.cxx:605
#62 0x00000008046a2cf5 in ImplYield (i_bAllEvents=<optimized out>, i_bWait=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svapp.cxx:458
#63 Application::Yield (i_bAllEvents=255)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svapp.cxx:492
#64 0x00000008046a2d6b in Application::Execute ()
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svapp.cxx:435
#65 0x0000000800cf77c1 in desktop::Desktop::Main (this=0x7fffffffef80)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/desktop/source/app/app.cxx:1885
#66 0x00000008046a7c9b in ImplSVMain () at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svmain.cxx:178
#67 0x00000008046a7e1d in SVMain () at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/vcl/source/app/svmain.cxx:215
#68 0x0000000800d1bada in soffice_main ()
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/desktop/source/app/sofficemain.cxx:67
#69 0x00000000004007a7 in sal_main () at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/desktop/source/app/main.c:34
#70 main (argc=<optimized out>, argv=<optimized out>)
    at /chroot/pkgsrc/wip/libreoffice/work/libreoffice-core-3.5.0.3/desktop/source/app/main.c:33


> Please also try to go to Tools / Options / LibreOffice / Java. Uncheck "Use a
> Java runtime environment". Does it make a difference? (I'm angling for "this
> bug happens only if java use is enabled, but no Java found")

It was not checked already.

I checked it anyway to see if it made any difference and LibreOffice crashed
exactly as before; there was just an additional message:

[Java framework] Invalid value for bootstrap variable: UNO_JAVA_JFW_VENDOR_SETTINGS
Comment 4 Lionel Elie Mamane 2012-02-09 13:24:18 UTC
Created attachment 56835 [details]
fix for crash

This patch should fix this particular crash. Whether LibO "new database wizard" will do anything reasonable for you afterwards is yours to test.

Let me know.
Comment 5 Francois Tigeot 2012-05-05 23:23:55 UTC
The patch is good, no more crashes with it applied.
Comment 6 Michael Meeks 2012-05-08 13:51:16 UTC
patch looks trivial, safe & correct to me - pushed it :-) [ and cherry-picked -3-5 too ].
Comment 7 Not Assigned 2012-05-08 13:54:52 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c648396567a2832c757d8d37432803a3f8e1818

fdo#45580 crash on "connect to existing database" wizard
Comment 8 Not Assigned 2012-05-09 03:08:02 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a2a500391734f02f9e27c06b5971e670411bdff&g=libreoffice-3-5

fdo#45580 crash on "connect to existing database" wizard


It will be available in LibreOffice 3.5.4.